install.packages("lavaan")
library(lavaan)

model_grad <- 
  'delta =~ 1*perfo2
 perfo2 ~ 1*perfo1
 delta ~ grad 

 delta ~~ delta
 perfo1 ~~ perfo1
 perfo2 ~~ 0*perfo2
 grad ~~ grad

 delta ~~ perfo1 
 perfo1 ~~ grad

 perfo1 ~ 1
 delta  ~ 1
 grad ~ 1
 perfo2 ~ 0'

Difffit <- sem(model_grad, data=wisc3raw, mimic="mplus", fixed.x=FALSE)

summary(Difffit, fit.measures=TRUE, standardized=TRUE)