*************************************************************
*		ATI workshop					                    *
*		Session L    :                                      *
*       rto8age2.dta                                    	* 
*       Mplus file: prog30_1fac2times_STRONG_FI_autoreg     *
*************************************************************

*TITLE:    Verbal factor at Ages 6 and 11 Years
*STRONG Factorial Invariance 
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model

sem (info_06 <- _cons@I1, ) (voca_06 <- _cons@I2, ) (comp_06 <- _cons@I3, ) ///
(simi_06 <- _cons@I4, ) (info_11 <- _cons@I1, ) (voca_11 <- _cons@I2, ) ///
(comp_11 <- _cons@I3, ) (simi_11<- _cons@I4, ) (Verb_06@L1 -> info_06, ) ///
(Verb_06@L2 -> voca_06, ) (Verb_06@L3 -> comp_06, ) (Verb_06@L4 -> simi_06, ) ///
(Verb_06 -> Verb_11, ) (Verb_11@L1 -> info_11, ) (Verb_11@L2-> voca_11, ) ///
(Verb_11@L3 -> comp_11, ) (Verb_11@L4 -> simi_11, ), iterate(10000) ///
latent(Verb_06 Verb_11 ) cov( Verb_06@1) means( Verb_06@0) nocapslatent

* Standardized result
sem (info_06 <- _cons@I1, ) (voca_06 <- _cons@I2, ) (comp_06 <- _cons@I3, ) ///
(simi_06 <- _cons@I4, ) (info_11 <- _cons@I1, ) (voca_11 <- _cons@I2, ) ///
(comp_11 <- _cons@I3, ) (simi_11<- _cons@I4, ) (Verb_06@L1 -> info_06, ) ///
(Verb_06@L2 -> voca_06, ) (Verb_06@L3 -> comp_06, ) (Verb_06@L4 -> simi_06, ) ///
(Verb_06 -> Verb_11, ) (Verb_11@L1 -> info_11, ) (Verb_11@L2-> voca_11, ) ///
(Verb_11@L3 -> comp_11, ) (Verb_11@L4 -> simi_11, ), iterate(10000) ///
latent(Verb_06 Verb_11 ) cov( Verb_06@1) means( Verb_06@0) standardized nocapslatent

// Not sure about the Verb_06 BY info_06*(L1),  Verb_11 BY info_11*(L1) part
// Not sure about how to correlate verb_06 and verb_11 as one is regressed on the other, in this case, i didn't correlate verb_06 and verb_11, as the correlation was constrainted at 0.
