brad_fluid_4156a<-read.table("brad_fluid_4156a.dat",header=F)
names(brad_fluid_4156a)<-c("ind_41","cod_41","freas_41","pap_41","reas_41",
  	"ind_56","cod_56","freas_56","pap_56","reas_56")

cat_var<-c("ind_41","cod_41","freas_41","pap_41","reas_41")


#Two-Parameter Logistic

m1.2pl_model<-'

#Loadings
  gf_41=~ L1*ind_41 +
	  L2*cod_41 +
          L3*freas_41 +
          L4*pap_41 +
	  L5*reas_41

#Thresholds
  ind_41|t1
  cod_41|t1
  freas_41|t1
  pap_41|t1
  reas_41|t1

#Factor Variance to 1

gf_41~~1*gf_41

'

m1.2pl_fit<-cfa(m1.2pl_model,data=brad_fluid_4156a,ordered=cat_var,std.lv=T)
summary(m1.2pl_fit)
