
*Reading in *.dat ASCII Datafile.

GET DATA  /TYPE=TXT
  /FILE="C:\Users\kjgrimm\Documents\UCD Folder\UCD Folder\Organization\Workshops\ATI\APA-ATI LSEM 2015\Session D - Lecture - Two-Occasion Models\Session D - Computer Scripts\wisc3raw.dat"
  /ENCODING='Locale'
  /FIXCASE=1
  /ARRANGEMENT=FIXED
  /FIRSTCASE=1
  /IMPORTCASE=ALL
  /VARIABLES=
  /1 id 0-9 F10.3
  verb1 10-19 F10.3
  verb2 20-29 F10.3
  verb4 30-39 F10.3
  verb6 40-49 F10.3
  perfo1 50-59 F10.3
  perfo2 60-69 F10.3
  perfo4 70-79 F10.3
  perfo6 80-89 F10.3
  info1 90-99 F10.3
  comp1 100-109 F10.3
  simi1 110-119 F10.3
  voca1 120-129 F10.3
  info6 130-139 F10.3
  comp6 140-149 F10.3
  simi6 150-159 F10.3
  voca6 160-169 F10.3
  momed 170-179 F10.3
  grad 180-189 F10.3
  constant 190-199 F10.3.
CACHE.
EXECUTE.
DATASET NAME wisc1 WINDOW=FRONT.

*Autoregressive Model.
REGRESSION
          /MISSING LISTWISE
          /STATISTICS COEFF OUTS R ANOVA
          /NOORIGIN
          /DEPENDENT perfo2 
          /METHOD=ENTER perfo1.

*Autoregressive Model with Group Information.
REGRESSION
         /MISSING LISTWISE
  	      /STATISTICS COEFF OUTS R ANOVA
  	      /NOORIGIN
  	      /DEPENDENT perfo2
  	      /METHOD=ENTER perfo1 grad.

*Adding product term.
COMPUTE perf_by_grad=perfo1 * grad.
EXECUTE.

*Autoregressive Model with Group Information.
REGRESSION
         /MISSING LISTWISE
  	      /STATISTICS COEFF OUTS R ANOVA
  	      /NOORIGIN
  	      /DEPENDENT perfo2
  	      /METHOD=ENTER perfo1 grad perf_by_grad.

*Computing Difference Score & Difference Score Model.
COMPUTE delta = perfo2 - perfo1.
EXECUTE .

REGRESSION   
         /MISSING LISTWISE
         /STATISTICS COEFF OUTS R ANOVA
         /ORIGIN
         /DEPENDENT delta
         /METHOD ENTER constant.

*Difference Model with Group Information.
REGRESSION
         /MISSING LISTWISE
         /STATISTICS COEFF OUTS R ANOVA
         /NOORIGIN
         /DEPENDENT delta
         /METHOD=ENTER grad.

*Difference Model with Prediction from time 1.
REGRESSION
         /MISSING LISTWISE
         /STATISTICS COEFF OUTS R ANOVA
         /NOORIGIN
         /DEPENDENT delta
         /METHOD=ENTER perfo1.

*Difference Model with prediction from time 1 & group information.
REGRESSION
         /MISSING LISTWISE
         /STATISTICS COEFF OUTS R ANOVA
         /NOORIGIN
         /DEPENDENT delta
         /METHOD=ENTER perfo1 grad.

*Adding Product Term.
REGRESSION
         /MISSING LISTWISE
         /STATISTICS COEFF OUTS R ANOVA
         /NOORIGIN
         /DEPENDENT delta
         /METHOD=ENTER perfo1 grad perf_by_grad.

