*****************************************************************
*		ATI workshop					                        *
*		Session L    :                                          *
*       rto8age2.dta                                         	* 
*       Mplus file: prog31_1fac2times_STRONG_FI_latent_change   *
*****************************************************************

*TITLE:    Verbal factor at Ages 6 and 11 Years
*STRONG Factorial Invariance 
*Latent Change at Latent Level 
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model

sem (info_06 <- _cons@I1, ) (voca_06 <- _cons@I2, ) (comp_06 <- _cons@I3, ) ///
(simi_06 <- _cons@I4, ) (info_11 <- _cons@I1, ) (voca_11 <- _cons@I2, ) ///
(comp_11 <- _cons@I3, ) (simi_11 <- _cons@I4, ) (Verb_06@L1 -> info_06, ) ///
(Verb_06@L2 -> voca_06, ) (Verb_06@L3 -> comp_06, ) (Verb_06@L4 -> simi_06, ) ///
(Verb_06@1 -> Verb_11, ) (Verb_06 -> dVer_11, ) (Verb_11 <- _cons@0, ) ///
(Verb_11@L1 -> info_11, ) (Verb_11@L2 -> voca_11, ) (Verb_11@L3 -> comp_11, ) ///
(Verb_11@L4 -> simi_11, ) (dVer_11@1 -> Verb_11, ), iterate(10000) ///
latent(Verb_06 Verb_11 dVer_11 ) cov( Verb_06@1 e.Verb_11@0 e.Verb_11*e.dVer_11) ///
means( Verb_06@0) nocapslatent

// Not sure about [Verb_11@0] - in this case, I set error @0

// Not sure about Verb_11 with dVer_11 @0;
                  //Verb_06 with dVer_11 @0; 
	          // because one is regressed on the other, in this case, i did not correlate them
				  