#### TWO OCCASION  ######

wisc3raw<-read.table("wisc3raw.dat",header=F)
names(wisc3raw)<-c("id","verb1","verb2","verb4","verb6",
			      "perfo1","perfo2","perfo4","perfo6",
                         "info1","comp1","simi1","voca1","info6","comp6",
				"simi6","voca6","momed","grad","constant")

#recode for categorical analysis 

wisc3raw$perf_c2<-ifelse(wisc3raw$perfo2>35,1,0)
wisc3raw$perf_c4<-ifelse(wisc3raw$perfo4>35,1,0)

## 00.wisc_pearson_correlation

wisc_pearson_correlation<-'

#Correlation
perf_c4~~perf_c2

#Intercepts
perf_c2~1
perf_c4~1

#Variances
perf_c4~~perf_c4
perf_c2~~perf_c2
'

wisc_pearson_correlation_fit<-lavaan(wisc_pearson_correlation,data=wisc3raw,estimator="ml")
summary(wisc_pearson_correlation_fit)