ODS GRAPHICS OFF;
ODS HTML CLOSE;
ODS LISTING;

DATA ach_dep;
	INFILE 'C:\Users\kjgrimm\Documents\UCD Folder\UCD Folder\Organization\Workshops\ATI\APA-ATI LSEM 2015\Session X - Lecture - Dynamic Examples\Ach Dep Scripts\nlsy_ach_bpi1.dat' LINESIZE=10000;
	INPUT 	id	race 	sex 	m_birth ldisabil 
			dep4-dep14
			tot4-tot14	anti4-anti14	
    		axdp4-axdp14	
			math5-math14		rec5-rec14	
			comp4-comp14		pvt4-pvt14;

      total8  = (((dep8  + anti8  + axdp8)-5.039)/4.076)*10+50;
      total9  = (((dep9  + anti9  + axdp9)-5.039)/4.076)*10+50;
      total10 = (((dep10 + anti10 + axdp10)-5.039)/4.076)*10+50;
      total11 = (((dep11 + anti11 + axdp11)-5.039)/4.076)*10+50;
      total12 = (((dep12 + anti12 + axdp12)-5.039)/4.076)*10+50;
      total13 = (((dep13 + anti13 + axdp13)-5.039)/4.076)*10+50;
      total14 = (((dep14 + anti14 + axdp14)-5.039)/4.076)*10+50;

      pvt8 = ((pvt8-82.130)/16.745)*10+50;
      pvt9 = ((pvt9-82.130)/16.745)*10+50;
      pvt10 = ((pvt10-82.130)/16.745)*10+50;
      pvt11 = ((pvt11-82.130)/16.745)*10+50;
      pvt12 = ((pvt12-82.130)/16.745)*10+50;
      pvt13 = ((pvt13-82.130)/16.745)*10+50;
      pvt14 = ((pvt14-82.130)/16.745)*10+50;

RUN;
DATA ach_dep_long;
	SET ach_dep;
	age=8; 	pvt=pvt8;  total=total8;  OUTPUT;
	age=9; 	pvt=pvt9;  total=total9;  OUTPUT;
	age=10; pvt=pvt10; total=total10; OUTPUT;
	age=11; pvt=pvt11; total=total11; OUTPUT;
	age=12; pvt=pvt12; total=total12; OUTPUT;
	age=13; pvt=pvt13; total=total13; OUTPUT;
	age=14; pvt=pvt14; total=total14; OUTPUT;
	KEEP id age pvt total;
RUN;
GOPTIONS RESET = all;
GOPTIONS
	ftext = triplex
	htext = 1.8
	ctext = black;	
PROC GPLOT DATA = ach_dep_long (where = (id < 201));
	SYMBOL1
		i=join
		r=10000
		v=dot
		w=2
		h=.7
		c=black;
	AXIS1
		LABEL = (F=triplex H = 2 A=90 'BPI Total')
		ORDER = (30 to 90 BY 10)
		MINOR = none
		OFFSET= (3 pct, 3 pct);
	AXIS2
		LABEL = (F=triplex H = 2 'Age at Testing')
		ORDER = (8 to 14 BY 1)
		OFFSET= (3 PCT, 3 PCT)
		MINOR = none;
	PLOT total*age=id/NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2;
RUN;
PROC GPLOT DATA = ach_dep_long (where = (id < 201));
	SYMBOL1
		i=join
		r=10000
		v=dot
		w=2
		h=.7
		c=black;
	AXIS1
		LABEL = (F=triplex H = 2 A=90 'Peabody Picture Vocabulary Test')
		ORDER = (20 to 100 BY 10)
		MINOR = none
		OFFSET= (3 pct, 3 pct);
	AXIS2
		LABEL = (F=triplex H = 2 'Age at Testing')
		ORDER = (8 to 14 BY 1)
		OFFSET= (3 PCT, 3 PCT)
		MINOR = none;
	PLOT pvt*age=id/NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2;
RUN;
